
package game;

import java.util.*;
import java.awt.*;

public class ImageLoader
{

	private static MediaTracker tracker = new MediaTracker(GameProperties.applet);
	private static Hashtable images = new Hashtable();

	public static Image getImage( String name )
	{
		Image i;
		if( (i = (Image)images.get(name)) == null )
		{
			i = GameProperties.applet.getImage( GameProperties.applet.getDocumentBase(),  name);
			int id = name.hashCode();
			tracker.addImage( i, id );
			try
			{
				tracker.waitForID( id );
			}
			catch( InterruptedException e )
			{
			}
			images.put( name, i );
		}
		return i;
	}

}
